## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDOMException Class Reference

`#include <XercesDOMException.hpp>`

Inheritance diagram for XercesDOMException

Collaboration diagram for XercesDOMException:

List of all members.

## Public Methods

Constructors and assignment operator

- XercesDOMException (ExceptionCode code = UNKNOWN_ERR)
    Constructor which takes an error code. More...
- XercesDOMException (const DOM_DOMExceptionType& theException)
    Constructor which takes a Xerces exception and translates it into a XercesDOMException. More...
- XercesDOMException (const XercesDOMException& theSource)
    Copy constructor. More...

Destructor.

- virtual ~XercesDOMException ()
    Destructor for XercesDOMException.

## Constructor & Destructor Documentation

XercesDOMException::XercesDOMException ( | ExceptionCode code = UNKNOWN_ERR )`[explicit]`

Constructor which takes an error code.

Parameters:

  code | The error code which indicates the exception

XercesDOMException::XercesDOMException ( | const DOM_DOMExceptionType & theException )

Constructor which takes a Xerces exception and translates it into a XercesDOMException.

Parameters:

  code | The Xerces DOM_DOMException instance.

XercesDOMException::XercesDOMException ( | const XercesDOMException & theSource )

Copy constructor.

Parameters:

  other | The object to be copied.

XercesDOMException::~XercesDOMException ( | )`[virtual]`

Destructor for XercesDOMException.

The documentation for this class was generated from the following file:

- XercesDOMException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.